#ifndef DEF_HEADER_COLOR_PRINT
#define DEF_HEADER_COLOR_PRINT

typedef enum
{
	TM_NORMAL    = 0x0,
	TM_BRIGHT    = 0x1,
	TM_BOLD      = 0x2,
	TM_UNDERLINE = 0x4,
	TM_CROSSED   = 0x8,
	TM_INTENSITY = 0x10,
	TM_HIDE      = 0x20
} TextModif;

typedef enum
{
	CCOLOR_BLACK,
	CCOLOR_RED,
	CCOLOR_GREEN,
	CCOLOR_YELLOW,
	CCOLOR_BLUE,
	CCOLOR_MAGENTA,
	CCOLOR_CYAN,
	CCOLOR_WHITE,
	NB_CCOLOR
} ConsolColor;

int cprintf(TextModif modif, ConsolColor color, const char * format, ...);

int rgbprintf(TextModif modif, unsigned char r, unsigned char g, unsigned char b, const char * format, ...);

#endif